Subject: bug#37223: 26.2; vc does not honor backup-directory-alist

From: Dmitry Gutov <[email-masked]>
Date: Sat, 14 Sep 2019 03:40:48 +0300

On 29.08.2019 22:55, ndame wrote:
> I often use vc log and then f (log-view-find-revision) to view a
> specific revision of a file.
> 
> The problem is the file is checked out to the same directory as the
> original file with a backup file name (~, polluting the directory with
> such files if multiple versions are perused.
> 
> These are backup files, the vc function uses that name too
> (vc-version-backup-file-name), so their placements should honor
> backup-directory-alist which is currently ignored.

I don't know if they should. The current behavior is a long-standing one.

But more opinions are welcome.